%define name	opengroupware-logic
%define version 1.0
%define cvs     20030721
%define release %{cvs}.1mdk

Summary:     OpenGroupware.org business logic
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     GPL
URL: http://www.opengroupware.org
Group:       Networking/Other
Prefix:      %{_libdir}/opengroupware.org
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation, opengroupware-sope, opengroupware-env
Source:      opengroupware.org-logic-%{cvs}.tar.bz2

BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-gstep-objc opengroupware-gstep-objc-devel opengroupware-libfoundation opengroupware-libfoundation-devel opengroupware-xml opengroupware-xml-devel opengroupware-core opengroupware-core-devel opengroupware-gstep-db opengroupware-gstep-db-devel opengroupware-js opengroupware-js-devel opengroupware-sope opengroupware-sope-devel opengroupware-env
Requires:  opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-env
BuildRequires: gcc-objc
BuildRequires: openldap-devel, openldap
Requires: openldap

%description
This package contains the OpenGroupware.org logic.


%package devel
Summary:  The header files for the OpenGroupware.org logic libraries.
Group:    Development/Other
Requires: opengroupware-gstep-make


%description devel
The devel package contains the header files for the OpenGroupware.org
logic libraries.


%prep

%setup -q -n opengroupware.org-logic


%build

source %{prefix}/OpenGroupware.org.sh
export FORCED_USER_ROOT=${RPM_BUILD_ROOT}

make -s debug=yes strip=yes all GNUSTEP_INSTALLATION_DIR=$FORCED_USER_ROOT


%install

source %{prefix}/OpenGroupware.org.sh
I=${RPM_BUILD_ROOT}%{prefix}
export FORCED_USER_ROOT=$I
B=$I/Library/OpenGroupware.org

make -s debug=yes strip=yes install GNUSTEP_INSTALLATION_DIR=$I BUNDLE_INSTALL_DIR=$B

rm -f ${RPM_BUILD_ROOT}%{prefix}/Tools/ix86/linux-gnu/gnu-fd-nil/load-LSModel

%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi
ldconfig -n $RPM_INSTALL_PREFIX/Libraries/ix86/linux-gnu/gnu-fd-nil

%files
%defattr(-,root,root,-)
%doc README COPYRIGHT COPYING.LIB Version
%dir %{prefix}/Libraries
%dir %{prefix}/Libraries/ix86
%dir %{prefix}/Libraries/ix86/linux-gnu
%dir %{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libLSFoundation*.so.*.*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libLSAddress*.so.*.*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libLSSearch*.so.*.*
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoSchedulerTools*.so.*.*
%dir %{prefix}/Library
%dir %{prefix}/Library/OpenGroupware.org
%{prefix}/Library/OpenGroupware.org/LSAccount.cmd
%{prefix}/Library/OpenGroupware.org/LSBase.cmd
%{prefix}/Library/OpenGroupware.org/LSMail.cmd
%{prefix}/Library/OpenGroupware.org/LSPerson.cmd
%{prefix}/Library/OpenGroupware.org/LSResource.cmd
%{prefix}/Library/OpenGroupware.org/LSSearch.cmd
%{prefix}/Library/OpenGroupware.org/LSAddress.cmd
%{prefix}/Library/OpenGroupware.org/LSEnterprise.cmd
%{prefix}/Library/OpenGroupware.org/LSNews.cmd
%{prefix}/Library/OpenGroupware.org/LSScheduler.cmd
%{prefix}/Library/OpenGroupware.org/LSTeam.cmd
%{prefix}/Library/OpenGroupware.org/LSProject.cmd

%files devel
%defattr(-,root,root,-)
%dir %{prefix}/Headers
%{prefix}/Headers/LSFoundation
%{prefix}/Headers/OGoSchedulerTools
%dir %{prefix}/Libraries
%dir %{prefix}/Libraries/ix86
%dir %{prefix}/Libraries/ix86/linux-gnu
%dir %{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libLSFoundation*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libLSAddress*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libLSSearch*.so
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libOGoSchedulerTools*.so


%clean
rm -fr $RPM_BUILD_ROOT

%changelog
* Thu Sep 4 2003 Austin Acton <aacton@yorku.ca> 1.0-20030721.1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile

